package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;


/**
 * 安全准入申请材料配置对象 lab_security_material_data
 *
 * @author zd
 * @date 2022-01-24
 */
@ApiModel("安全准入申请材料配置")
public class LabSecurityMaterialData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /** 创建人id */
    @Excel(name = "创建人id")
    @Length(message = "创建人id长度不能超过20")
    @ApiModelProperty(value = "创建人id")
    private Long userId;
    /** 创建人姓名 */
    @Excel(name = "创建人姓名")
    @Length(message = "创建人姓名长度不能超过10")
    @ApiModelProperty(value = "创建人姓名")
    private String createBy;
    @ApiModelProperty(value = "部门ID")
    private Long deptId;

    /** 部门名称*/
    @Excel(name = "部门名称")
    @Length(message = "部门名称长度不能超过50")
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    /** 材料名称 */
    @Excel(name = "材料名称")
    @Length(message = "材料名称长度不能超过255")
    @ApiModelProperty(value = "材料名称")
    private String materialName;
    /** 材料描述 */
    @Excel(name = "材料描述")
    @Length(message = "材料描述长度不能超过255")
    @ApiModelProperty(value = "材料描述")
    private String materialDescribe;
    /** 材料适用身份 1通用 2教职工 3学生 */
    @Excel(name = "材料适用身份 1通用 2教职工 3学生")
    @ApiModelProperty(value = "材料适用身份 1通用 2教职工 3学生")
    private Integer materialSuit;
    /**  材料类型 1上传 2关联 */
    @Excel(name = " 材料类型 1上传 2关联")
    @ApiModelProperty(value = " 材料类型 1上传 2关联")
    private Integer materialType;
    /**  文件格式：1是PDF，2是WORD，3是图片 */
    @Excel(name = " 文件格式：1是PDF，2是WORD，3是图片")
    @ApiModelProperty(value = "文件格式：1是PDF，2是WORD，3是图片")
    private String fileType;
    /**  关联类型 1身份信息 2安全考试证数 3风险评估表 */
    @Excel(name = " 关联类型 1身份信息 2安全考试证数 3风险评估表")
    @ApiModelProperty(value = " 关联类型 1身份信息 2安全考试证数 3风险评估表")
    private Integer relationType;
    /** 创建人id */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long createUserid;
    /** 创建人姓名 */
    @Excel(name = "创建人姓名")
    @Length(message = "创建人姓名长度不能超过10")
    @ApiModelProperty(value = "创建人姓名")
    private String createUsername;
    /** 修改人id */
    @Excel(name = "修改人id")
    @ApiModelProperty(value = "修改人id")
    private Long updateUserid;
    /** 修改人姓名 */
    @Excel(name = "修改人姓名")
    @Length(message = "修改人姓名长度不能超过10")
    @ApiModelProperty(value = "修改人姓名")
    private String updateUsername;
    /** 备注 */
    @Excel(name = "备注")
    @Length(message = "备注长度不能超过255")
    @ApiModelProperty(value = "备注")
    private String remak;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMaterialName(String materialName)
    {
        this.materialName = materialName;
    }

    public String getMaterialName()
    {
        return materialName;
    }
    public void setMaterialDescribe(String materialDescribe)
    {
        this.materialDescribe = materialDescribe;
    }

    public String getMaterialDescribe()
    {
        return materialDescribe;
    }
    public void setMaterialSuit(Integer materialSuit)
    {
        this.materialSuit = materialSuit;
    }

    public Integer getMaterialSuit()
    {
        return materialSuit;
    }
    public void setMaterialType(Integer materialType)
    {
        this.materialType = materialType;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Integer getMaterialType()
    {
        return materialType;
    }
    public void setCreateUserid(Long createUserid)
    {
        this.createUserid = createUserid;
    }

    public Long getCreateUserid()
    {
        return createUserid;
    }
    public void setCreateUsername(String createUsername)
    {
        this.createUsername = createUsername;
    }

    public String getCreateUsername()
    {
        return createUsername;
    }
    public void setUpdateUserid(Long updateUserid)
    {
        this.updateUserid = updateUserid;
    }

    public Long getUpdateUserid()
    {
        return updateUserid;
    }
    public void setUpdateUsername(String updateUsername)
    {
        this.updateUsername = updateUsername;
    }

    public String getUpdateUsername()
    {
        return updateUsername;
    }
    public void setRemak(String remak)
    {
        this.remak = remak;
    }

    public String getRemak()
    {
        return remak;
    }

    public Integer getRelationType() {        return relationType;    }

    public void setRelationType(Integer relationType) {        this.relationType = relationType;    }

    @Override
    public Long getUserId() {        return userId;    }

    @Override
    public void setUserId(Long userId) {        this.userId = userId;    }

    @Override
    public String getCreateBy() {        return createBy;    }

    @Override
    public void setCreateBy(String createBy) {        this.createBy = createBy;    }

    @Override
    public Long getDeptId() {        return deptId;    }

    @Override
    public void setDeptId(Long deptId) {        this.deptId = deptId;    }

    @Override
    public String getDeptName() {        return deptName;    }

    @Override
    public void setDeptName(String deptName) {        this.deptName = deptName;    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("materialName", getMaterialName())
                .append("materialDescribe", getMaterialDescribe())
                .append("materialSuit", getMaterialSuit())
                .append("materialType", getMaterialType())
                .append("relationType", getRelationType())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("createTime", getCreateTime())
                .append("updateUserid", getUpdateUserid())
                .append("updateUsername", getUpdateUsername())
                .append("updateTime", getUpdateTime())
                .append("remak", getRemak())
                .toString();
    }
}
